<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:51:06 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Interface org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.Synchronized (org.eclipse.papyrus.designer.languages.java.profile 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.Synchronized (org.eclipse.papyrus.designer.languages.java.profile 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Synchronized.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/class-use/Synchronized.html" target="_top">Frames</a></li>
<li><a href="Synchronized.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.Synchronized" class="title">Uses of Interface<br>org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.Synchronized</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Synchronized.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Synchronized</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.util">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.util</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Synchronized.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Synchronized</a> in <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/package-summary.html">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/package-summary.html">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava</a> that return <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Synchronized.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Synchronized</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Synchronized.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Synchronized</a></code></td>
<td class="colLast"><span class="typeNameLabel">PapyrusJavaFactory.</span><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaFactory.html#createSynchronized--">createSynchronized</a></span>()</code>
<div class="block">Returns a new object of class '<em>Synchronized</em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Synchronized.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Synchronized</a> in <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/package-summary.html">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/package-summary.html">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl</a> that implement <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Synchronized.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Synchronized</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/SynchronizedImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl">SynchronizedImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Synchronized</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/package-summary.html">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl</a> that return <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Synchronized.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Synchronized</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Synchronized.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Synchronized</a></code></td>
<td class="colLast"><span class="typeNameLabel">PapyrusJavaFactoryImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/PapyrusJavaFactoryImpl.html#createSynchronized--">createSynchronized</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.util">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Synchronized.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Synchronized</a> in <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/package-summary.html">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.util</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/package-summary.html">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.util</a> with parameters of type <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Synchronized.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Synchronized</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="type parameter in PapyrusJavaSwitch">T</a></code></td>
<td class="colLast"><span class="typeNameLabel">PapyrusJavaSwitch.</span><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html#caseSynchronized-org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.Synchronized-">caseSynchronized</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Synchronized.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Synchronized</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Synchronized</em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Synchronized.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/class-use/Synchronized.html" target="_top">Frames</a></li>
<li><a href="Synchronized.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
